<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:30 GMT 2020 -->
<title>Game</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Game";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Game/GameDirectedGraph.html" title="class in Game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Game</div>
<h2 title="Class Game" class="title">Class Game</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Game.Game</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Game</span>
extends java.lang.Object</pre>
<div class="block">Class Game that has the principal implementations of the methods needed to a correct functionality of the game, this
 includes the necessary variables as the graph that represents the map, the name, the initial health and the level</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static <a href="../Game/Room.html" title="class in Game">Room</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#DEFAULTENTRY">DEFAULTENTRY</a></span></code>
<div class="block">default denomination of the entry on the maps</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="../Game/Room.html" title="class in Game">Room</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#DEFAULTEXIT">DEFAULTEXIT</a></span></code>
<div class="block">default denomination of the exit on the maps</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#DIVIDER">DIVIDER</a></span></code>
<div class="block">Variable to do not repeat every time want use divider</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#health">health</a></span></code>
<div class="block">Initial health</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#level">level</a></span></code>
<div class="block">Difficulty of the actual game</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#LINE">LINE</a></span></code>
<div class="block">Variable to do not repeat every time want use line</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a>&lt;<a href="../Game/Room.html" title="class in Game">Room</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#map">map</a></span></code>
<div class="block">Map of the game that is an oriented network</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#name">name</a></span></code>
<div class="block">Name of the game</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage">ArrayOrderedList</a>&lt;<a href="../Game/Score.html" title="class in Game">Score</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#scores">scores</a></span></code>
<div class="block">Ratings</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../Game/Game.html#Game-java.lang.String-int-">Game</a></span>(java.lang.String&nbsp;mapName,
    int&nbsp;level)</code>
<div class="block">Constructor method for a game</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#createVertex-Game.Room-">createVertex</a></span>(<a href="../Game/Room.html" title="class in Game">Room</a>&nbsp;vertex)</code>
<div class="block">Verifies if a vertex is in the network, if not adds it to the network</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#displayMap--">displayMap</a></span>()</code>
<div class="block">Method that displays the map information.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#displayRatings--">displayRatings</a></span>()</code>
<div class="block">Method to display the ratings of the map</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#generateNetwork-java.lang.String-">generateNetwork</a></span>(java.lang.String&nbsp;mapName)</code>
<div class="block">Generates a directed netowrk with the correct connections by reading a json</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#generateShield--">generateShield</a></span>()</code>
<div class="block">Method to generate the shield protection in one vertex that doesn't have ghost, that protection will be a number
 between and return the index of it</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#getHealth--">getHealth</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>private double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#getHealthLeft-double-">getHealthLeft</a></span>(double&nbsp;damage)</code>
<div class="block">Returns the health left</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#getLevel--">getLevel</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#getMatrix--">getMatrix</a></span>()</code>
<div class="block">Method that returns a string with the representation of both matrix's (adj and weights)</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#getMaxDamageInMap--">getMaxDamageInMap</a></span>()</code>
<div class="block">Returns the max damage cause by a ghost in the current map</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#manual-java.lang.String-">manual</a></span>(java.lang.String&nbsp;playerName)</code>
<div class="block">Method that gives the player the change of choose his path by a list of every adjency room of the current room
 as an option to go further.This mod end's when the player reaches "exterior" or get's out of point's of health.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#readMap-java.lang.String-">readMap</a></span>(java.lang.String&nbsp;mapName)</code>
<div class="block">Method that reads a given map and creates a directed network with it</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#readRatings--">readRatings</a></span>()</code>
<div class="block">Method used initially when the map and the level is chosen, to read the json with the ratings</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#removeShield-int-">removeShield</a></span>(int&nbsp;shieldIndex)</code>
<div class="block">Private method that removes the shield from the map using its index.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#simulation--">simulation</a></span>()</code>
<div class="block">Method that does the simulation mode for the actual, fives the shortest path and the points of health remaining
 using the respective path</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#updateEdges-Game.Room-Game.Room-">updateEdges</a></span>(<a href="../Game/Room.html" title="class in Game">Room</a>&nbsp;room,
           <a href="../Game/Room.html" title="class in Game">Room</a>&nbsp;connection)</code>
<div class="block">For a given room and a given connection updates the edges values correctly</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Game.html#writeRatingJSON--">writeRatingJSON</a></span>()</code>
<div class="block">When the software is closed, the ratings in the json file are updated by the one's</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="map">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>map</h4>
<pre>private&nbsp;<a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a>&lt;<a href="../Game/Room.html" title="class in Game">Room</a>&gt; map</pre>
<div class="block">Map of the game that is an oriented network</div>
</li>
</ul>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>private&nbsp;java.lang.String name</pre>
<div class="block">Name of the game</div>
</li>
</ul>
<a name="health">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>health</h4>
<pre>private&nbsp;double health</pre>
<div class="block">Initial health</div>
</li>
</ul>
<a name="level">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>level</h4>
<pre>private&nbsp;int level</pre>
<div class="block">Difficulty of the actual game</div>
</li>
</ul>
<a name="scores">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scores</h4>
<pre>private&nbsp;<a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage">ArrayOrderedList</a>&lt;<a href="../Game/Score.html" title="class in Game">Score</a>&gt; scores</pre>
<div class="block">Ratings</div>
</li>
</ul>
<a name="DEFAULTEXIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULTEXIT</h4>
<pre>private static final&nbsp;<a href="../Game/Room.html" title="class in Game">Room</a> DEFAULTEXIT</pre>
<div class="block">default denomination of the exit on the maps</div>
</li>
</ul>
<a name="DEFAULTENTRY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULTENTRY</h4>
<pre>private static final&nbsp;<a href="../Game/Room.html" title="class in Game">Room</a> DEFAULTENTRY</pre>
<div class="block">default denomination of the entry on the maps</div>
</li>
</ul>
<a name="DIVIDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DIVIDER</h4>
<pre>private static final&nbsp;java.lang.String DIVIDER</pre>
<div class="block">Variable to do not repeat every time want use divider</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Game.Game.DIVIDER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LINE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LINE</h4>
<pre>private static final&nbsp;java.lang.String LINE</pre>
<div class="block">Variable to do not repeat every time want use line</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../constant-values.html#Game.Game.LINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Game-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game(java.lang.String&nbsp;mapName,
            int&nbsp;level)
     throws <a href="../Exceptions/InvalidMapException.html" title="class in Exceptions">InvalidMapException</a></pre>
<div class="block">Constructor method for a game</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapName</code> - Map name</dd>
<dd><code>level</code> - level of the actual game</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../Exceptions/InvalidMapException.html" title="class in Exceptions">InvalidMapException</a></code> - when the map is invalid</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMatrix--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatrix</h4>
<pre>public&nbsp;java.lang.String&nbsp;getMatrix()</pre>
<div class="block">Method that returns a string with the representation of both matrix's (adj and weights)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a string with the representation of both matrix's (adj and weights)</dd>
</dl>
</li>
</ul>
<a name="getHealth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHealth</h4>
<pre>public&nbsp;double&nbsp;getHealth()</pre>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
</li>
</ul>
<a name="getLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLevel</h4>
<pre>public&nbsp;int&nbsp;getLevel()</pre>
</li>
</ul>
<a name="createVertex-Game.Room-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVertex</h4>
<pre>private&nbsp;void&nbsp;createVertex(<a href="../Game/Room.html" title="class in Game">Room</a>&nbsp;vertex)</pre>
<div class="block">Verifies if a vertex is in the network, if not adds it to the network</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>vertex</code> - vertex to verify and add if needed</dd>
</dl>
</li>
</ul>
<a name="generateNetwork-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateNetwork</h4>
<pre>private&nbsp;void&nbsp;generateNetwork(java.lang.String&nbsp;mapName)</pre>
<div class="block">Generates a directed netowrk with the correct connections by reading a json</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapName</code> - Name of the json file tha has the map</dd>
</dl>
</li>
</ul>
<a name="updateEdges-Game.Room-Game.Room-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateEdges</h4>
<pre>private&nbsp;void&nbsp;updateEdges(<a href="../Game/Room.html" title="class in Game">Room</a>&nbsp;room,
                         <a href="../Game/Room.html" title="class in Game">Room</a>&nbsp;connection)</pre>
<div class="block">For a given room and a given connection updates the edges values correctly</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>room</code> - actual room</dd>
<dd><code>connection</code> - room connection</dd>
</dl>
</li>
</ul>
<a name="readMap-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readMap</h4>
<pre>private&nbsp;void&nbsp;readMap(java.lang.String&nbsp;mapName)</pre>
<div class="block">Method that reads a given map and creates a directed network with it</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>mapName</code> - Name of the json file tha has the map</dd>
</dl>
</li>
</ul>
<a name="getHealthLeft-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHealthLeft</h4>
<pre>private&nbsp;double&nbsp;getHealthLeft(double&nbsp;damage)</pre>
<div class="block">Returns the health left</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>damage</code> - the actual cost of the path</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the health points left</dd>
</dl>
</li>
</ul>
<a name="simulation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>simulation</h4>
<pre>public&nbsp;void&nbsp;simulation()</pre>
<div class="block">Method that does the simulation mode for the actual, fives the shortest path and the points of health remaining
 using the respective path</div>
</li>
</ul>
<a name="manual-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>manual</h4>
<pre>public&nbsp;void&nbsp;manual(java.lang.String&nbsp;playerName)</pre>
<div class="block">Method that gives the player the change of choose his path by a list of every adjency room of the current room
 as an option to go further.This mod end's when the player reaches "exterior" or get's out of point's of health.
 In this mod and by using an auxiliary method, the record of the play is registered in a specific json just for
 ratings.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>playerName</code> - name of the player</dd>
</dl>
</li>
</ul>
<a name="writeRatingJSON--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>writeRatingJSON</h4>
<pre>protected&nbsp;void&nbsp;writeRatingJSON()</pre>
<div class="block">When the software is closed, the ratings in the json file are updated by the one's</div>
</li>
</ul>
<a name="displayMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayMap</h4>
<pre>public&nbsp;void&nbsp;displayMap()</pre>
<div class="block">Method that displays the map information. The rooms, the connections and the information of a ghost in each room
 of a current map</div>
</li>
</ul>
<a name="generateShield--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateShield</h4>
<pre>private&nbsp;int&nbsp;generateShield()</pre>
<div class="block">Method to generate the shield protection in one vertex that doesn't have ghost, that protection will be a number
 between and return the index of it</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the index where the shield is generated</dd>
</dl>
</li>
</ul>
<a name="getMaxDamageInMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxDamageInMap</h4>
<pre>private&nbsp;double&nbsp;getMaxDamageInMap()</pre>
<div class="block">Returns the max damage cause by a ghost in the current map</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>max damage cause by a ghost in the current map</dd>
</dl>
</li>
</ul>
<a name="readRatings--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readRatings</h4>
<pre>private&nbsp;void&nbsp;readRatings()</pre>
<div class="block">Method used initially when the map and the level is chosen, to read the json with the ratings</div>
</li>
</ul>
<a name="displayRatings--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayRatings</h4>
<pre>public&nbsp;void&nbsp;displayRatings()</pre>
<div class="block">Method to display the ratings of the map</div>
</li>
</ul>
<a name="removeShield-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeShield</h4>
<pre>private&nbsp;void&nbsp;removeShield(int&nbsp;shieldIndex)</pre>
<div class="block">Private method that removes the shield from the map using its index.
 This method will be used when the shield is catch or the play ends and the shield wasn't found</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>shieldIndex</code> - shield index</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../Game/GameDirectedGraph.html" title="class in Game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
